### Method

# Gsk RenderNode draw

#### Declaration [src]

    void
    gsk_render_node_draw (
      GskRenderNode* node,
      cairo_t* cr
    )

#### Description [src]

Draw the contents of `node` to the given cairo context.

Typically, you’ll use this function to implement fallback rendering of `GskRenderNode`s on an intermediate Cairo context, instead of using the drawing context associated to a `GdkSurface`‘s rendering buffer.

For advanced nodes that cannot be supported using Cairo, in particular for nodes doing 3D operations, this function may fail.

#### Parameters

`cr` | `cairo_t*`
| Cairo context to draw to.
| The data is owned by the caller of the function.